## console-setup 1.21ubuntu9

=== Makefile ===
etcdir = /etc
prefix = /usr/local
xkbdir = $(shell pwd)/Keyboard/ckb
export xkbdir

bootprefix = $(patsubst %/usr,%/,$(prefix:%/=%))

SHELL = /bin/sh

all: build

build:
	cd Fonts && $(MAKE) build
	cd Keyboard && $(MAKE) build
	touch build

.PHONY: install
install: build
	install -d $(prefix)/share/consolefonts/
	install -m 644 Fonts/*.psf.gz $(prefix)/share/consolefonts/
	install -d $(prefix)/share/consoletrans
	install -m 644 Keyboard/acm/*.acm.gz $(prefix)/share/consoletrans
	install -d $(prefix)/share/console-setup
	install -m 644 Keyboard/MyKeyboardNames.pl $(prefix)/share/console-setup/KeyboardNames.pl
	install Keyboard/kbdnames-maker $(prefix)/share/console-setup
	install -d  $(prefix)/bin/
	install Keyboard/ckbcomp $(prefix)/bin/
	install -d  $(bootprefix)/bin/
	install setupcon $(bootprefix)/bin/
	install -d $(etcdir)/console-setup
	install -m 644 Keyboard/compose.*.inc $(etcdir)/console-setup/
	cp -r Keyboard/ckb/ $(etcdir)/console-setup/
#	cp Keyboard/rules $(etcdir)/console-setup/ckb/rules/console
#	cp Keyboard/rules.xml $(etcdir)/console-setup/ckb/rules/console.xml
	install -d $(etcdir)/default
	install -m 644 config $(etcdir)/default/console-setup

.PHONY: uninstall
uninstall: build
	-for font in Fonts/*.psf.gz; do \
		rm $(prefix)/share/consolefonts/$${font##*/}; \
	done
	-for acm in Keyboard/acm/*.acm.gz; do \
		rm $(prefix)/share/consoletrans/$${acm##*/}; \
	done
	-rm -rf $(etcdir)/console-setup/
	-rm $(prefix)/bin/ckbcomp
	-rm $(bootprefix)/bin/setupcon

.PHONY: clean
clean:
	cd Fonts && $(MAKE) clean
	cd Keyboard && $(MAKE) clean
	-rm -f *~
	-rm -f build

.PHONY: maintainer-clean
maintainer-clean: clean
	cd Fonts && $(MAKE) maintainer-clean
	cd Keyboard && $(MAKE) maintainer-clean

=== Fonts/Makefile ===
SHELL = /bin/sh

build : gziped_good_psf_fonts

%.gz : %
	gzip -9 <$< >$@

# All available non-legacy font faces
FACES = Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold24x12 TerminusBold28x14 TerminusBold32x16 \
	TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES = VGA8 VGA10 VGA12 VGA14 VGA16 VGA19

ALL_FACES = $(FACES) $(LEGACY_FACES)

all-CODESETS = Arabic Armenian CyrAsia CyrKoi CyrSlav Ethiopian Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai Uni1 Uni2 Uni3 Vietnamese

Fixed13-BDFS = 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS = georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS = 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS = georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS = 9x18.bdf
Fixed24x12-BDFS = h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS = 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS = h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS = 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS = h16_b.bdf
FixedBold18-BDFS = 9x18B.bdf
FixedBold24x12-BDFS = h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS = 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

Courier13-BDFS = 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS = 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS = 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS = 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS = 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS = 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS = 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS = 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS = 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS = 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS = 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS = 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS = 100dpi-lutRS19.bdf

LucidBold11-BDFS = 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS = 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS = 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS = 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS = 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS = 100dpi-lutBS19.bdf

Goha12-BDFS = Goha12.bdf
Goha14-BDFS = Goha14.bdf
Goha16-BDFS = Goha16.bdf

GohaClassic12-BDFS = GohaClassic12.bdf
GohaClassic14-BDFS = GohaClassic14.bdf
GohaClassic16-BDFS = GohaClassic16.bdf

###################################################################

VGA8-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS = Lat15 Lat2
VGA12-CODESETS = Lat15 Lat2
VGA14-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS = Lat15

Arabic-legacy14-BDFS = legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS = legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS = legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS = legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS = legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS = legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS = legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS = legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS = legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS = legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS = legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS = legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS = legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS = legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS = legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS = legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS = legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS = legacy19a.bdf
Lat15-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS = legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS = legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS = legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS = legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS = legacy8h.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat38-legacy14-BDFS = legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS = legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS = legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS = legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS = legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS = legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS = legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS = legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS = legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS = legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

###################################################################

# $(call add_bdf, xxx+yyy+zzz) = bdf/xxx.bdf+bdf/yyy.bdf+bdf/zzz.bdf
empty =
space = $(empty) $(empty)
add_bdf = $(patsubst +%, %, \
		$(subst $(space),+, \
			$(addprefix bdf/,$(subst +, , $(1)))))

ALL_PSF_FONTS = $(sort $(foreach face, $(ALL_FACES), \
			$(addsuffix -$(face).psf, $(all-CODESETS))))

GOOD_PSF_FONTS = $(filter \
		%-Fixed13.psf %-Fixed14.psf %-Fixed15.psf \
		%-Fixed16.psf %-Fixed18.psf \
		%-Terminus12x6.psf %-Terminus14.psf %-Terminus16.psf	\
		%-Terminus24x12.psf %-Terminus20x10.psf			\
		%-Terminus28x14.psf %-Terminus32x16.psf			\
		%-TerminusBold14.psf %-TerminusBold16.psf		\
		%-TerminusBold20x10.psf %-TerminusBold24x12.psf		\
		%-TerminusBold28x14.psf %-TerminusBold32x16.psf		\
		%-TerminusBoldVGA14.psf %-TerminusBoldVGA16.psf		\
		%-Goha12.psf %-Goha14.psf %-Goha16.psf \
		%-GohaClassic12.psf %-GohaClassic14.psf %-GohaClassic16.psf \
		%-VGA8.psf %-VGA14.psf %-VGA16.psf, \
	$(PSF_FONTS))

GZIPED_GOOD_PSF_FONTS=$(addsuffix .gz, $(GOOD_PSF_FONTS))
GZIPED_PSF_FONTS=$(addsuffix .gz, $(PSF_FONTS))
GZIPED_ALL_PSF_FONTS=$(addsuffix .gz, $(ALL_PSF_FONTS))

# These fonts can be used only with framebuffer
FB_PSF_FONTS = $(filter %x6.psf %x10.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(FB_PSF_FONTS) : fb_option = --fb

# These fonts can be used both in text-mode and with framebuffer
NONFB_PSF_FONTS = $(filter-out %x6.psf %x10.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(NONFB_PSF_FONTS) : fb_option =

# Use rm soft.Makefile && make soft.Makefile in order to update soft.Makefile
include soft.Makefile
# The script 'fontcodesets' computes which codesets a font supports
soft.Makefile :
	echo "PSF_FONTS = " $(sort $(foreach face, $(FACES), \
	$(addsuffix -$(face).psf, $(shell ./fontcodesets $($(face)-BDFS)))) \
	$(foreach face, $(LEGACY_FACES), \
		$(addsuffix -$(face).psf, $($(face)-CODESETS)))) \
	>soft.Makefile


# i.e. Arabic/univga16
$(ALL_PSF_FONTS) : codeset/face = $(subst -,/,$(@:%.psf=%))
# i.e. Arabic/
$(ALL_PSF_FONTS) : codeset/ = $(dir $(codeset/face))
# i.e. Arabic
$(ALL_PSF_FONTS) : codeset = $(subst /,-,$(codeset/:%/=%))
# i.e. univga16
$(ALL_PSF_FONTS) : face = $(strip $(notdir $(codeset/face)))
# legacy hack
$(ALL_PSF_FONTS)  : VGA8-BDFS = $(if $(strip $($(codeset)-legacy8-BDFS)), \
			$($(codeset)-legacy8-BDFS),legacy8a.bdf)
$(ALL_PSF_FONTS)  : VGA10-BDFS = $(if $(strip $($(codeset)-legacy10-BDFS)),\
			$($(codeset)-legacy10-BDFS),legacy10a.bdf)
$(ALL_PSF_FONTS)  : VGA12-BDFS = $(if $(strip $($(codeset)-legacy12-BDFS)),\
			$($(codeset)-legacy12-BDFS),legacy12a.bdf)
$(ALL_PSF_FONTS)  : VGA14-BDFS = $(if $(strip $($(codeset)-legacy14-BDFS)),\
			$($(codeset)-legacy14-BDFS),legacy14a.bdf)
$(ALL_PSF_FONTS)  : VGA16-BDFS = $(if $(strip $($(codeset)-legacy16-BDFS)),\
			u_vga16.bdf+$($(codeset)-legacy16-BDFS),u_vga16.bdf)
$(ALL_PSF_FONTS)  : VGA19-BDFS = $(if $(strip $($(codeset)-legacy19-BDFS)),\
			$($(codeset)-legacy19-BDFS),legacy19a.bdf)
# i.e. bdf/univga16.bdf
$(ALL_PSF_FONTS) : bdfs = $(call add_bdf, $($(face)-BDFS))
# i.e. fontsets/Arabic.512
$(ALL_PSF_FONTS) : codesetfile = $(wildcard fontsets/$(codeset).*)
# i.e. 512
$(ALL_PSF_FONTS) : size = $(subst .,,$(suffix $(codesetfile)))

$(ALL_PSF_FONTS) : equivalents = $(if $(findstring Uni1, $(codeset)),	 \
				standard.equivalents+arabic.equivalents, \
				standard.equivalents)

$(ALL_PSF_FONTS) :
	./bdf2psf $(fb_option) --log $(@:%.psf=%.log) $(bdfs) \
		$(equivalents) required.set+$(codesetfile)+:useful.set \
                $(size) $@ $(@:%.psf=%.sfm)

good_psf_fonts : $(GOOD_PSF_FONTS)

gziped_good_psf_fonts : $(GZIPED_GOOD_PSF_FONTS)

# This builds all CODESET-TYPEFASE combinations, even when the font 
# doesn't define symbols for the particular CODESET
fullall : $(ALL_PSF_FONTS)

.PHONY: clean
clean:
	-rm -f *~
	-rm -f *.psf *.psf.gz *.sfm *.log
	-rm -f fontsets/*~

.PHONY: maintainer-clean
maintainer-clean: clean
	rm soft.Makefile
	make soft.Makefile

=== debian/changelog ===
console-setup (1.21ubuntu9) hardy-proposed; urgency=low

  * Create /dev/tty[1-6] in our initramfs script before trying to operate on
    them (LP: #130444).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2008 19:00:39 +0000

console-setup (1.21ubuntu8) hardy; urgency=low

  * Rebuild against xkeyboard-config 1.1~cvs.20080104.1-1ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Apr 2008 20:40:40 +0100

console-setup (1.21ubuntu7) hardy; urgency=low

  * Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
    whether to allow preseeding, which is ordinarily only allowed in d-i
    (LP: #188492).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 11:49:55 +0100

console-setup (1.21ubuntu6) hardy; urgency=low

  * Handle some special cases for the KPDL key (LP: #189529).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Apr 2008 00:06:25 +0100

console-setup (1.21ubuntu5) hardy; urgency=low

  * Silence error messages for keycodes 214, 215, 216, and 217, which are
    various special keys in the default X.org PC keyboard map that we don't
    need to handle.
  * Map dead_stroke to U+002D HYPHEN-MINUS.
  * Add a "Do not configure keyboard; keep kernel keymap" model option,
    preseedable by console-setup/modelcode=SKIP (LP: #59889).
  * Drop the layout/variant priority to high on fresh installs
    (LP: #205959).
  * Support rules with multiple consequents (thanks, Adam Simpkins;
    LP: #139710).
  * Allow specifying alternate rules using XKBRULES (thanks, Adam Simpkins;
    LP: #139712).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 14:33:25 +0100

console-setup (1.21ubuntu4) hardy; urgency=low

  * Set default layout for Kurdish to tr(ku) (LP: #28683).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 13:46:06 +0000

console-setup (1.21ubuntu3) hardy; urgency=low

  * Set default layout for Vietnam to 'us' (LP: #191451).
  * Treat 'any' as a synonym for 'NoSymbol' in XKB input files (LP: #93077).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 14:05:12 +0000

console-setup (1.21ubuntu2) hardy; urgency=low

  * Set default for Dutch to us(intl), not just us (LP: #129982).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2008 00:14:54 +0000

console-setup (1.21ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
  * Update for new layouts and variants for Japan, Montenegro, and Serbia,
    and migrate configuration files from the old layouts.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jan 2008 23:01:31 +0000

console-setup (1.21) unstable; urgency=low

  * Silently ignore 'vendor' tag in xorg.xml.
  * Use 'chomp' rather than 'chop' in ckbcomp to deal with XKB symbols files
    that are missing their final newline (closes: #461191).

 -- Colin Watson <cjwatson@debian.org>  Thu, 17 Jan 2008 12:58:25 +0000

console-setup (1.20) unstable; urgency=low

  [ Colin Watson ]
  * Set default model to pc105 on powerpc/ps3 and powerpc/cell systems.
  * Clean up the package description a little.
  * Only default to Canadian layout for fr_CA; use U.S. English for other
    *_CA locales (LP: #64418).
  * Improve ckbcomp(1) formatting.
  * Run setupcon with --save in the postinst to ensure that required data is
    copied to /etc.
  * Load the saved keymap in /etc/console-setup/boottime.kmap.gz if
    available rather than running ckbcomp (which is slow), unless we're
    being called with --save or --save-only.

  [ Debconf templates translations ]
  * Belarusian. Closes: #447109
  * Galician. Closes: #447940
  * Russian.

  [ Christian Perrier ]
  * Correct "Provides:" in console-setup init script to allow insserv
    to insert console-setup properly in the boot sequence.
    Thanks to Petter Reinholdtsen for the patch. Closes: #458486
  * Add the required "Default-Stop" and "Required-Stop" fields in the
    init.d/console-setup script.
  * Set myself as Uploader.
  * Fixing lintian warnings:
    - Remove "perl, libxml-parser-perl" from Build-Depends. They were
      duplicated in Build-Depends-Indep
    - Do not ignore non-zero exit status of "make maintainer-clean" in the
      clean target
    - Turn console-setup/dont_ask_layout into an error template. That'll


=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir

main_build:
	$(MAKE) xkbdir=$(xkbdir)
	cd Keyboard && $(MAKE) build-mini xkbdir=$(xkbdir)
	touch main_build

debian/console-setup.config debian/console-setup-mini.config: debian/config.proto main_build
	awk ' \
/## *PACKAGE *##/ { \
    printf "package=$(notdir $(basename $@))"; \
    next; \
} \
/## *FONTSETS *##/ { \
    printf "fontsets='\''"; \
    system("cd Fonts && ls *.psf | sed '\''s/.psf$$//'\''"); \
    printf "'\''"; \
    next; \
} \
/## *CHARMAPS *##/ { \
    printf "charmaps='\''"; \
    system("cd Keyboard && ls acm/*.acm |sed -e '\''s/^acm.//'\'' -e '\''s/.acm$$//'\''"); \
    printf "UTF-8'\''\n"; \
    next; \
} \
/## *KBDNAMES *##/ { \
    printf "kbdnames='\''"; \
    system("cd Keyboard && ./kbdnames-maker MyKeyboardNames.pl"); \
    printf "'\''"; \
    next; \
} \
{ \
   print; \
}' debian/config.proto >$@

build: main_build debian/console-setup.config debian/console-setup-mini.config

.PHONY : clean
clean:
	dh_testdir
	$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/*.config
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-main install-mini install-bdf2psf install-udeb

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup -k
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
	rm -rf debian/console-setup/etc/console-setup/ckb/
	install -d debian/console-setup/usr/share/doc/console-setup/examples/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/doc/console-setup/examples/
	install -d debian/console-setup/usr/share/lintian/overrides
	install -m 644 debian/lintian.overrides \
		debian/console-setup/usr/share/lintian/overrides/console-setup
	dh_installinit --no-start --name keyboard-setup -- start 06 S .
	dh_installinit --name console-setup -- start 49 S .
	install -d debian/console-setup/usr/share/initramfs-tools/hooks \
		debian/console-setup/usr/share/initramfs-tools/scripts/init-top
	install -m755 debian/console-setup.initramfs-hook \
		debian/console-setup/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/console-setup/usr/share/initramfs-tools/scripts/init-top/console_setup
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`

.PHONY : install-mini
install-mini: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-mini -k
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-mini usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	install -d debian/console-setup-mini/etc/default/
	install -d debian/console-setup-mini/etc/console-setup/
	install -d debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/
	cp config debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/console-setup
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_clean -pbdf2psf -k
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-amiga-ekmap -k
	dh_clean -pconsole-setup-ataritt-ekmap -k
	dh_clean -pconsole-setup-macintoshold-ekmap -k
	dh_clean -pconsole-setup-pc-ekmap -k
	dh_clean -pconsole-setup-sun4-ekmap -k
	dh_clean -pconsole-setup-sun5-ekmap -k
	dh_clean -pconsole-setup-fonts-udeb -k
	dh_clean -pconsole-setup-udeb -k
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf.gz \

## console-setup 1.25ubuntu4

=== debian/changelog ===
console-setup (1.25ubuntu4) intrepid-proposed; urgency=low

  * Create /dev/tty[1-6] in our initramfs script before trying to operate on
    them (LP: #130444).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2008 19:07:15 +0000

console-setup (1.25ubuntu3) intrepid; urgency=low

  * Fix property counts in Goha and legacy BDF fonts.
  * Switch from console-tools-udeb to kbd-udeb, in line with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Aug 2008 00:09:48 +0100

console-setup (1.25ubuntu2) intrepid; urgency=low

  * If console-setup/layoutcode is preseeded but not marked as seen, then
    set the default layout but don't lower the layout question priority or
    preseed console-setup/ask_detect (LP: #64058).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jun 2008 23:49:31 +0100

console-setup (1.25ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2008 02:39:34 +0100

console-setup (1.25) unstable; urgency=low

  [ Anton Zinoviev ]
  * Correction in Debconf template - Terminus supports also Greek.
    Unfuzzy Belarusian and German translations.
    
  [ Debconf translations ]
    - French
    - Galician
    - German. Closes: #485457
    - Bulgarian
    - Vietnamese. Closes: #485779
    - Portuguese. Closes: #486090
    - Czech

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jun 2008 20:24:01 +0200

console-setup (1.24ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.


=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 0.9), keymapper (>= 0.5.3-7)
Build-Depends: debhelper (>= 5), po-debconf
Standards-Version: 3.7.3
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu

Package: console-setup
Section: utils
Architecture: all
Recommends: kbd (>= 1.12-15) | console-tools (>= 1:0.2.3dbs-62ubuntu10)
Depends: debconf (>= 0.5) | debconf-2.0, console-terminus (>= 4.26), xkb-data (>= 0.9), initramfs-tools (>= 0.85eubuntu12)
Suggests: lsb-base (>= 3.0-6)
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: Set up the font and the keyboard on the console
 The package provides the Linux console with the same versatile
 keyboard configuration that the X Window System uses.  As a result
 there is no need to duplicate or change the keyboard files just to
 make simple customisations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: An experimental micro version of console-setup package
 This package can be useful when Debian system is installed on
 handhelds or other devices with small storage space.  It was created
 as proof of concept for a method to implement versatile keyboard
 configuration in the Debian installer.
 .
 This package supports only UTF-8.  The legacy 8-bit encodings are not
 supported.

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl
Description: Font converter to generate console fonts from BDF source fonts
 This is a command line converter that can be used in scripts to build
 automatically console fonts from BDF sources.  The converter comes
 with a collection of font encodings that cover many of the world
 languages; notice that the font encoding (so called SFM) does not
 need to follow the actually used encoding (so called ACM).  When the
 source font does not define a glyph for a symbol in the font encoding
 the glyph position in the console font is not wasted but used for
 another symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the 8th column of the glyph matrix of symbols
 positioned in the pseudographic area to the 9th column.  In order to
 create fonts for text video modes the width of the glyph matrix of
 the source BDF font should be 7, 8 or 9 pixels, otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: console-setup-ekmap, console-setup-fonts-udeb, archdetect, cdebconf-udeb, kbd-udeb, cdebconf-newt-detect-keys
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 This is an experimental replacement of kbd-chooser.
XC-Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for ataritt keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for macintoshold keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for pc keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-fonts-udeb
Section: debian-installer
Priority: extra
Architecture: all
Description: Console fonts for Debian Installer
XC-Package-Type: udeb

## console-setup 1.28

=== Keyboard/Makefile ===
SHELL = /bin/sh

build : compose_files gziped_acmfiles KeyboardNames.pl MyKeyboardNames.pl

models = amiga ataritt macintosh_old pc105 sun4 sun5

gziped_ekmaps =  $(addsuffix .ekmap.gz, $(models))

build-mini : $(gziped_ekmaps)

%.gz : %
	gzip -9 <$< >$@

%.ekmap : 
	./kbdcompiler $(@:%.ekmap=%) MyKeyboardNames.pl $(xkbdir) >$@

acmfiles = $(wildcard acm/*.acm)

gziped_acmfiles = $(addsuffix .gz, $(acmfiles))

gziped_acmfiles : $(gziped_acmfiles)

charmaps = $(basename $(notdir $(acmfiles)))

compose_files = $(addprefix compose.,$(addsuffix .inc, $(charmaps)))

$(compose_files): charmap = $(patsubst compose.%.inc,%, $@)

VISCII-XCOMPOSE = locale/vi_VN.viscii/Compose
ISO-8859-1-XCOMPOSE = locale/iso8859-1/Compose
ISO-8859-2-XCOMPOSE = locale/iso8859-2/Compose
ISO-8859-3-XCOMPOSE = locale/iso8859-3/Compose
ISO-8859-4-XCOMPOSE = locale/iso8859-4/Compose
ISO-8859-7-XCOMPOSE = locale/iso8859-7/Compose
ISO-8859-9-XCOMPOSE = locale/iso8859-9/Compose
ISO-8859-13-XCOMPOSE = locale/iso8859-13/Compose
ISO-8859-14-XCOMPOSE = locale/iso8859-14/Compose
ISO-8859-15-XCOMPOSE = locale/iso8859-15/Compose


$(compose_files) :
	echo '# Compose sequences for $(charmap)' >$@
	$(if $($(charmap)-XCOMPOSE), \
		./compose_translator --acm acm/$(charmap).acm \
				     $($(charmap)-XCOMPOSE) >>$@)

compose_files : $(compose_files)


.PHONY: clean
clean:
	-rm -f *~
	-rm -f acm/*.acm.gz
	-rm -rf compose $(compose_files)
	-rm -rf keymaps
	-rm -f keymaps.dir names.list
	-rm -f $(gziped_ekmaps)
	-rm -f MyKeyboardNames.pl

.PHONY: maintainer-clean
maintainer-clean: clean
	./xmlreader >KeyboardNames.pl

KeyboardNames.pl:
	./xmlreader >KeyboardNames.pl

MyKeyboardNames.pl:
	./xmlreader $(xkbdir)/rules/xorg.xml >MyKeyboardNames.pl

=== debian/changelog ===
console-setup (1.28) unstable; urgency=low

  [ Debconf translations ]
  * Belarusian. Closes: #487293

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 19:49:58 +0200

console-setup (1.27) unstable; urgency=low

  [ Debconf translations ]
  * French
  * Basque. Closes: #490363
  * Turkish. Closes: #490365
  * Thai
  * Bulgarian
  * Swedish. Closes: #490569
  * German. Closes: #490714
  * Portuguese. Closes: #491011
  * Vietnamese. Closes: #491046
  * Bulgarian
  * Czech
  * Galician

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Jul 2008 11:33:49 +0200

console-setup (1.26) unstable; urgency=low

  [ Colin Watson ]
  * Add a template for the main menu item name.

  [ Debconf translations ]
  * Russian. Closes: #487242
  * Basque. Closes: #487313
  * Turkish. Closes: #487439
  * Swedish. Closes: #487308

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Jul 2008 20:40:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 0.9), keymapper (>= 0.5.3-7)
+Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 0.9)
 Build-Depends: debhelper (>= 5), po-debconf
 Standards-Version: 3.7.3
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
 
 Package: console-setup
 Section: utils
 Architecture: all
-Recommends: kbd (>= 1.12-15) | console-tools (>= 1:0.2.3dbs-62ubuntu10)
-Depends: debconf (>= 0.5) | debconf-2.0, console-terminus (>= 4.26), xkb-data (>= 0.9), initramfs-tools (>= 0.85eubuntu12)
+Recommends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16)
+Depends: debconf (>= 0.5) | debconf-2.0, console-terminus (>= 4.26), xkb-data (>= 0.9)
 Suggests: lsb-base (>= 3.0-6)
 Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
 Description: Set up the font and the keyboard on the console
@@ -73,7 +71,7 @@
 Package: console-setup-udeb
 Section: debian-installer
 Priority: extra
-Depends: console-setup-ekmap, console-setup-fonts-udeb, archdetect, cdebconf-udeb, kbd-udeb, cdebconf-newt-detect-keys
+Depends: console-setup-ekmap, console-setup-fonts-udeb, archdetect, cdebconf-udeb, kbd-udeb
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 .PHONY : clean
 clean:
 	dh_testdir
+	debconf-updatepo
 	$(MAKE) maintainer-clean
 	-rm -f build main_build
 	-rm -f debian/*.config
@@ -69,12 +70,6 @@
 		debian/console-setup/usr/share/lintian/overrides/console-setup
 	dh_installinit --no-start --name keyboard-setup -- start 06 S .
 	dh_installinit --name console-setup -- start 49 S .
-	install -d debian/console-setup/usr/share/initramfs-tools/hooks \
-		debian/console-setup/usr/share/initramfs-tools/scripts/init-top
-	install -m755 debian/console-setup.initramfs-hook \
-		debian/console-setup/usr/share/initramfs-tools/hooks/console_setup
-	install -m755 debian/console-setup.initramfs-top \
-		debian/console-setup/usr/share/initramfs-tools/scripts/init-top/console_setup
 	rm -rf `find debian/console-setup -name .cvsignore`
 	rm -rf `find debian/console-setup -name .svn`
 
@@ -163,7 +158,7 @@
 		usr/share/console-setup-mini
 	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
 		usr/share/console-setup-mini
-	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
+	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz \
 		usr/share/console-setup-mini
 	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
 		usr/share/console-setup-mini
@@ -205,3 +200,10 @@
 	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf.gz \
 		usr/share/consolefonts
 	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf.gz \
+		usr/share/consolefonts
+	dh_install -pconsole-setup-fonts-udeb Fonts/Vietnamese-Fixed16.psf.gz \
+		usr/share/consolefonts
+# console-setup-udeb
+	dh_install -pconsole-setup-udeb Keyboard/ckbcomp-mini usr/bin
+	dh_link -pconsole-setup-udeb usr/bin/ckbcomp-mini usr/bin/ckbcomp
+	dh_install -pconsole-setup-udeb setupcon bin
